From 1657c5c54c507bfb1ea3c4406026619eb2f46697 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Mon, 3 Oct 2016 12:32:09 +0200
Subject: [PATCH 6/6] WIP remove COMPAT_43

---
 sys/bus/pci/pci_user.c                   |   2 -
 sys/bus/u4b/input/ukbd.c                 |  44 ---
 sys/bus/u4b/input/ukbd/Makefile          |   2 +-
 sys/conf/files                           |   9 -
 sys/conf/options                         |   1 -
 sys/config/LINT64                        |   7 -
 sys/config/VKERNEL64                     |   1 -
 sys/config/X86_64_GENERIC                |   1 -
 sys/dev/drm/radeon/Makefile              |   1 -
 sys/dev/misc/nmdm/Makefile               |   4 -
 sys/dev/misc/nmdm/nmdm.c                 |   4 -
 sys/dev/raid/mps/Makefile                |   2 +-
 sys/dev/raid/mps/mps_user.c              |   2 -
 sys/dev/serial/digi/Makefile             |   4 -
 sys/dev/serial/digi/digi.c               |  17 -
 sys/dev/serial/rp/rp.c                   |  12 -
 sys/dev/serial/si/si_drv.c               |  25 --
 sys/dev/serial/sio/sio.c                 |  17 +-
 sys/emulation/43bsd/43bsd_exit.c         |  73 -----
 sys/emulation/43bsd/43bsd_file.c         | 205 ------------
 sys/emulation/43bsd/43bsd_hostinfo.c     | 331 -------------------
 sys/emulation/43bsd/43bsd_resource.c     |  98 ------
 sys/emulation/43bsd/43bsd_signal.c       | 180 -----------
 sys/emulation/43bsd/43bsd_socket.c       | 537 -------------------------------
 sys/emulation/43bsd/43bsd_socket.h       |  49 ---
 sys/emulation/43bsd/43bsd_stats.c        | 147 ---------
 sys/emulation/43bsd/43bsd_vm.c           | 117 -------
 sys/emulation/43bsd/stat.h               |  61 ----
 sys/kern/init_sysent.c                   |  10 -
 sys/kern/kern_descrip.c                  |   1 -
 sys/kern/kern_exit.c                     |   1 -
 sys/kern/kern_prot.c                     |  13 -
 sys/kern/kern_resource.c                 |   2 -
 sys/kern/makesyscalls.sh                 |  17 +-
 sys/kern/syscalls.c                      |   2 -
 sys/kern/syscalls.master                 |   4 -
 sys/kern/sysv_shm.c                      |   1 -
 sys/kern/tty.c                           |  18 --
 sys/kern/tty_compat.c                    | 468 ---------------------------
 sys/kern/tty_conf.c                      |  10 +-
 sys/kern/tty_pty.c                       |  18 --
 sys/kern/uipc_syscalls.c                 |   1 +
 sys/net/if.c                             |  65 ----
 sys/netinet/tcp_subr.c                   |   1 -
 sys/netinet/tcp_timer.c                  |   2 -
 sys/platform/pc64/x86_64/exception.S     |   2 +-
 sys/platform/pc64/x86_64/machdep.c       |   1 -
 sys/platform/vkernel64/x86_64/cpu_regs.c |   1 -
 sys/sys/ioctl.h                          |   3 +-
 sys/sys/sysproto.h                       |  12 -
 sys/sys/sysunion.h                       |  80 -----
 usr.bin/kdump/mkioctls                   |   1 -
 52 files changed, 8 insertions(+), 2679 deletions(-)
 delete mode 100644 sys/emulation/43bsd/43bsd_exit.c
 delete mode 100644 sys/emulation/43bsd/43bsd_file.c
 delete mode 100644 sys/emulation/43bsd/43bsd_hostinfo.c
 delete mode 100644 sys/emulation/43bsd/43bsd_resource.c
 delete mode 100644 sys/emulation/43bsd/43bsd_signal.c
 delete mode 100644 sys/emulation/43bsd/43bsd_socket.c
 delete mode 100644 sys/emulation/43bsd/43bsd_socket.h
 delete mode 100644 sys/emulation/43bsd/43bsd_stats.c
 delete mode 100644 sys/emulation/43bsd/43bsd_vm.c
 delete mode 100644 sys/emulation/43bsd/stat.h
 delete mode 100644 sys/kern/tty_compat.c

diff --git a/sys/bus/pci/pci_user.c b/sys/bus/pci/pci_user.c
index bc63a3b..2e9450e 100644
--- a/sys/bus/pci/pci_user.c
+++ b/sys/bus/pci/pci_user.c
@@ -26,8 +26,6 @@
  * $FreeBSD: src/sys/dev/pci/pci_user.c,v 1.22.2.4.2.1 2009/04/15 03:14:26 kensmith Exp $
  */
 
-#include "opt_compat.h"
-
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/malloc.h>
diff --git a/sys/bus/u4b/input/ukbd.c b/sys/bus/u4b/input/ukbd.c
index dc1dc69..3344aa1 100644
--- a/sys/bus/u4b/input/ukbd.c
+++ b/sys/bus/u4b/input/ukbd.c
@@ -37,7 +37,6 @@ __FBSDID("$FreeBSD: head/sys/dev/usb/input/ukbd.c 262972 2014-03-10 08:52:30Z hs
  * HID spec: http://www.usb.org/developers/devclass_docs/HID1_11.pdf
  */
 
-#include "opt_compat.h"
 #include "opt_kbd.h"
 #include "opt_ukbd.h"
 
@@ -1788,27 +1787,11 @@ ukbd_ioctl_locked(keyboard_t *kbd, u_long cmd, caddr_t arg)
 {
 	struct ukbd_softc *sc = kbd->kb_data;
 	int i;
-#if 0 /* XXX */
-#if defined(COMPAT_FREEBSD6) || defined(COMPAT_FREEBSD5) || \
-    defined(COMPAT_FREEBSD4) || defined(COMPAT_43)
-	int ival;
-
-#endif
-#endif
 
 	switch (cmd) {
 	case KDGKBMODE:		/* get keyboard mode */
 		*(int *)arg = sc->sc_mode;
 		break;
-#if 0 /* XXX */
-#if defined(COMPAT_FREEBSD6) || defined(COMPAT_FREEBSD5) || \
-    defined(COMPAT_FREEBSD4) || defined(COMPAT_43)
-	case _IO('K', 7):
-		ival = IOCPARM_IVAL(arg);
-		arg = (caddr_t)&ival;
-		/* FALLTHROUGH */
-#endif
-#endif
 	case KDSKBMODE:		/* set keyboard mode */
 		switch (*(int *)arg) {
 		case K_XLATE:
@@ -1834,15 +1817,6 @@ ukbd_ioctl_locked(keyboard_t *kbd, u_long cmd, caddr_t arg)
 	case KDGETLED:			/* get keyboard LED */
 		*(int *)arg = KBD_LED_VAL(kbd);
 		break;
-#if 0 /* XXX */
-#if defined(COMPAT_FREEBSD6) || defined(COMPAT_FREEBSD5) || \
-    defined(COMPAT_FREEBSD4) || defined(COMPAT_43)
-	case _IO('K', 66):
-		ival = IOCPARM_IVAL(arg);
-		arg = (caddr_t)&ival;
-		/* FALLTHROUGH */
-#endif
-#endif
 	case KDSETLED:			/* set keyboard LED */
 		/* NOTE: lock key state in "sc_state" won't be changed */
 		if (*(int *)arg & ~LOCK_MASK)
@@ -1866,15 +1840,6 @@ ukbd_ioctl_locked(keyboard_t *kbd, u_long cmd, caddr_t arg)
 	case KDGKBSTATE:		/* get lock key state */
 		*(int *)arg = sc->sc_state & LOCK_MASK;
 		break;
-#if 0 /* XXX */
-#if defined(COMPAT_FREEBSD6) || defined(COMPAT_FREEBSD5) || \
-    defined(COMPAT_FREEBSD4) || defined(COMPAT_43)
-	case _IO('K', 20):
-		ival = IOCPARM_IVAL(arg);
-		arg = (caddr_t)&ival;
-		/* FALLTHROUGH */
-#endif
-#endif
 	case KDSKBSTATE:		/* set lock key state */
 		if (*(int *)arg & ~LOCK_MASK) {
 			return (EINVAL);
@@ -1903,15 +1868,6 @@ ukbd_ioctl_locked(keyboard_t *kbd, u_long cmd, caddr_t arg)
 		kbd->kb_delay2 = ((int *)arg)[1];
 		return (0);
 
-#if 0 /* XXX */
-#if defined(COMPAT_FREEBSD6) || defined(COMPAT_FREEBSD5) || \
-    defined(COMPAT_FREEBSD4) || defined(COMPAT_43)
-	case _IO('K', 67):
-		ival = IOCPARM_IVAL(arg);
-		arg = (caddr_t)&ival;
-		/* FALLTHROUGH */
-#endif
-#endif
 	case KDSETRAD:			/* set keyboard repeat rate (old
 					 * interface) */
 		return (ukbd_set_typematic(kbd, *(int *)arg));
diff --git a/sys/bus/u4b/input/ukbd/Makefile b/sys/bus/u4b/input/ukbd/Makefile
index b645d97..f8e4542 100644
--- a/sys/bus/u4b/input/ukbd/Makefile
+++ b/sys/bus/u4b/input/ukbd/Makefile
@@ -3,7 +3,7 @@
 KMOD=	ukbd
 
 SRCS=	bus_if.h device_if.h usb_if.h \
-	opt_bus.h opt_compat.h opt_kbd.h opt_ukbd.h opt_usb.h \
+	opt_bus.h opt_kbd.h opt_ukbd.h opt_usb.h \
 	ukbd.c
 
 .include <bsd.kmod.mk>
diff --git a/sys/conf/files b/sys/conf/files
index 5217e1e..c7e63fb 100644
--- a/sys/conf/files
+++ b/sys/conf/files
@@ -1192,7 +1192,6 @@ kern/sysv_msg.c		standard
 kern/sysv_sem.c		standard
 kern/sysv_shm.c		standard
 kern/tty.c		standard
-kern/tty_compat.c	optional compat_43
 kern/tty_conf.c		standard
 kern/tty_cons.c		standard
 kern/tty_pty.c		optional pty
@@ -2241,14 +2240,6 @@ dev/powermng/lm/lm78.c			optional lm isa
 dev/powermng/lm/lm78_isa.c		optional lm isa
 dev/powermng/uguru/uguru.c		optional uguru isa
 dev/powermng/wbsio/wbsio.c		optional wbsio isa
-emulation/43bsd/43bsd_socket.c		optional compat_43
-emulation/43bsd/43bsd_stats.c		optional compat_43
-emulation/43bsd/43bsd_file.c		optional compat_43
-emulation/43bsd/43bsd_signal.c		optional compat_43
-emulation/43bsd/43bsd_exit.c		optional compat_43
-emulation/43bsd/43bsd_resource.c	optional compat_43
-emulation/43bsd/43bsd_hostinfo.c	optional compat_43
-emulation/43bsd/43bsd_vm.c		optional compat_43
 
 # OS ACPI MI code
 ${OSACPI_MI_DIR}/acpi.c			optional acpi
diff --git a/sys/conf/options b/sys/conf/options
index d9abdcc..e2cffe0 100644
--- a/sys/conf/options
+++ b/sys/conf/options
@@ -74,7 +74,6 @@ ACPI_NO_SEMAPHORES	opt_acpi.h
 ACPI_ENABLE_PCI		opt_acpi.h
 
 # Miscellaneous options.
-COMPAT_43	opt_compat.h
 COMPILING_LINT	opt_lint.h
 DDB
 DDB_TRACE
diff --git a/sys/config/LINT64 b/sys/config/LINT64
index 59a94dd..c957bc2 100644
--- a/sys/config/LINT64
+++ b/sys/config/LINT64
@@ -119,13 +119,6 @@ options 	CPU_DISABLE_AVX
 #####################################################################
 # COMPATIBILITY OPTIONS
 
-#
-# Implement system calls compatible with 4.3BSD and older versions of
-# FreeBSD.  You probably do NOT want to remove this as much current code
-# still relies on the 4.3 emulation.
-#
-options 	COMPAT_43
-
 # Enable NDIS binary driver support
 options 	NDISAPI
 device		ndis
diff --git a/sys/config/VKERNEL64 b/sys/config/VKERNEL64
index e01923b..cec557f 100644
--- a/sys/config/VKERNEL64
+++ b/sys/config/VKERNEL64
@@ -53,7 +53,6 @@ options 	NFS_ROOT		#NFS usable as root device, NFS required
 options 	MSDOSFS			#MSDOS Filesystem
 options 	CD9660			#ISO 9660 Filesystem
 options 	PROCFS			#Process filesystem
-#options 	COMPAT_43		#Compatible with BSD 4.3
 options 	UCONSOLE		#Allow users to grab the console
 options 	KTRACE			#ktrace(1) support
 options 	_KPOSIX_PRIORITY_SCHEDULING
diff --git a/sys/config/X86_64_GENERIC b/sys/config/X86_64_GENERIC
index f92dfc0..c94e874 100644
--- a/sys/config/X86_64_GENERIC
+++ b/sys/config/X86_64_GENERIC
@@ -30,7 +30,6 @@ options 	NFS_ROOT		#NFS usable as root device, NFS required
 options 	MSDOSFS			#MSDOS Filesystem
 options 	CD9660			#ISO 9660 Filesystem
 options 	PROCFS			#Process filesystem
-#options 	COMPAT_43		#Compatible with BSD 4.3
 options 	SCSI_DELAY=5000		#Delay (in ms) before probing SCSI
 options		IFPOLL_ENABLE		# Support mixed interrupt-polling
 					# handling of network device drivers
diff --git a/sys/dev/drm/radeon/Makefile b/sys/dev/drm/radeon/Makefile
index 417901b..462f291 100644
--- a/sys/dev/drm/radeon/Makefile
+++ b/sys/dev/drm/radeon/Makefile
@@ -134,7 +134,6 @@ SRCS	+=								\
 
 SRCS	+=								\
 	opt_acpi.h							\
-	opt_compat.h							\
 	opt_drm.h							\
 	opt_ktr.h							\
 	acpi_if.h							\
diff --git a/sys/dev/misc/nmdm/Makefile b/sys/dev/misc/nmdm/Makefile
index 4d95534..729e06f 100644
--- a/sys/dev/misc/nmdm/Makefile
+++ b/sys/dev/misc/nmdm/Makefile
@@ -2,9 +2,5 @@
 
 KMOD=	nmdm
 SRCS=	nmdm.c
-SRCS+=	opt_compat.h
-
-opt_compat.h:
-	echo "#define COMPAT_43 1" >${.TARGET}
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/misc/nmdm/nmdm.c b/sys/dev/misc/nmdm/nmdm.c
index 96642a8..cf361a3 100644
--- a/sys/dev/misc/nmdm/nmdm.c
+++ b/sys/dev/misc/nmdm/nmdm.c
@@ -39,12 +39,8 @@
 /*
  * Pseudo-nulmodem Driver
  */
-#include "opt_compat.h"
 #include <sys/param.h>
 #include <sys/systm.h>
-#if defined(COMPAT_43)
-#include <sys/ioctl_compat.h>
-#endif
 #include <sys/proc.h>
 #include <sys/priv.h>
 #include <sys/thread2.h>
diff --git a/sys/dev/raid/mps/Makefile b/sys/dev/raid/mps/Makefile
index a8dc33d..c9a623e 100644
--- a/sys/dev/raid/mps/Makefile
+++ b/sys/dev/raid/mps/Makefile
@@ -3,7 +3,7 @@
 KMOD=	mps
 SRCS=	mps_pci.c mps.c mps_sas.c mps_table.c mps_user.c
 SRCS+=	mps_config.c mps_mapping.c mps_sas_lsi.c
-SRCS+=	opt_cam.h opt_compat.h
+SRCS+=	opt_cam.h
 SRCS+=	device_if.h bus_if.h pci_if.h
 
 #CFLAGS += -DMPS_DEBUG
diff --git a/sys/dev/raid/mps/mps_user.c b/sys/dev/raid/mps/mps_user.c
index 8501f19..ba8e274 100644
--- a/sys/dev/raid/mps/mps_user.c
+++ b/sys/dev/raid/mps/mps_user.c
@@ -59,8 +59,6 @@
  * $FreeBSD: src/sys/dev/mps/mps_user.c,v 1.10 2012/01/26 18:17:21 ken Exp $
  */
 
-#include "opt_compat.h"
-
 /* TODO Move headers to mpsvar */
 #include <sys/types.h>
 #include <sys/param.h>
diff --git a/sys/dev/serial/digi/Makefile b/sys/dev/serial/digi/Makefile
index 10b2c43..fba1e5c 100644
--- a/sys/dev/serial/digi/Makefile
+++ b/sys/dev/serial/digi/Makefile
@@ -1,9 +1,5 @@
 KMOD=	digi
 SRCS=	digi.c digi_pci.c digi_bios.c
 SRCS+=	bus_if.h pci_if.h device_if.h
-SRCS+=	opt_compat.h
-
-opt_compat.h:
-	echo "#define COMPAT_43 1" > ${.TARGET}
 
 .include <bsd.kmod.mk>
diff --git a/sys/dev/serial/digi/digi.c b/sys/dev/serial/digi/digi.c
index 1193a2e..d4688fb 100644
--- a/sys/dev/serial/digi/digi.c
+++ b/sys/dev/serial/digi/digi.c
@@ -37,8 +37,6 @@
  *	Test with *LOTS* more cards - I only have a PCI8r and an ISA Xem.
  */
 
-#include "opt_compat.h"
-
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/proc.h>
@@ -1090,10 +1088,6 @@ digiioctl(struct dev_ioctl_args *ap)
 	struct digi_softc *sc;
 	struct digi_p *port;
 	struct tty *tp;
-#if defined(COMPAT_43)
-	int oldcmd;
-	struct termios term;
-#endif
 
 	mynor = minor(dev);
 	unit = MINOR_TO_UNIT(mynor);
@@ -1271,17 +1265,6 @@ digiioctl(struct dev_ioctl_args *ap)
 	}
 
 	tp = port->tp;
-#if defined(COMPAT_43)
-	term = tp->t_termios;
-	oldcmd = cmd;
-	error = ttsetcompat(tp, &cmd, data, &term);
-	if (error != 0) {
-		lwkt_reltoken(&tty_token);
-		return (error);
-	}
-	if (cmd != oldcmd)
-		data = (caddr_t) & term;
-#endif
 	if (cmd == TIOCSETA || cmd == TIOCSETAW || cmd == TIOCSETAF) {
 		int cc;
 		struct termios *dt;
diff --git a/sys/dev/serial/rp/rp.c b/sys/dev/serial/rp/rp.c
index b3a23ef..10b9784 100644
--- a/sys/dev/serial/rp/rp.c
+++ b/sys/dev/serial/rp/rp.c
@@ -1288,18 +1288,6 @@ rpioctl(struct dev_ioctl_args *ap)
 
 	tp = rp->rp_tty;
 
-#if defined(COMPAT_43)
-	term = tp->t_termios;
-	oldcmd = cmd;
-	error = ttsetcompat(tp, &cmd, data, &term);
-	if(error != 0) {
-		lwkt_reltoken(&tty_token);
-		return(error);
-	}
-	if(cmd != oldcmd) {
-		data = (caddr_t)&term;
-	}
-#endif
 	if((cmd == TIOCSETA) || (cmd == TIOCSETAW) || (cmd == TIOCSETAF)) {
 		int	cc;
 		struct	termios *dt = (struct termios *)data;
diff --git a/sys/dev/serial/si/si_drv.c b/sys/dev/serial/si/si_drv.c
index cc21700..0129a23 100644
--- a/sys/dev/serial/si/si_drv.c
+++ b/sys/dev/serial/si/si_drv.c
@@ -41,14 +41,10 @@ static const char si_copyright1[] =  "@(#) Copyright (C) Specialix International
 		  si_copyright3[] =  "@(#) Copyright (C) Peter Wemm 2000";
 #endif	/* not lint */
 
-#include "opt_compat.h"
 #include "opt_debug_si.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
-#if defined(COMPAT_43)
-#include <sys/ioctl_compat.h>
-#endif
 #include <sys/tty.h>
 #include <sys/proc.h>
 #include <sys/priv.h>
@@ -970,10 +966,6 @@ siioctl(struct dev_ioctl_args *ap)
 	int error;
 	int mynor = minor(dev);
 	int blocked = 0;
-#if defined(COMPAT_43)
-	u_long oldcmd;
-	struct termios term;
-#endif
 
 	if (IS_SI_IOCTL(cmd))
 		return(si_Sioctl(dev, cmd, data, ap->a_fflag, ap->a_cred));
@@ -1026,20 +1018,6 @@ siioctl(struct dev_ioctl_args *ap)
 		}
 	}
 	/*
-	 * Do the old-style ioctl compat routines...
-	 */
-#if defined(COMPAT_43)
-	term = tp->t_termios;
-	oldcmd = cmd;
-	error = ttsetcompat(tp, &cmd, data, &term);
-	if (error != 0) {
-		lwkt_reltoken(&tty_token);
-		return (error);
-	}
-	if (cmd != oldcmd)
-		data = (caddr_t)&term;
-#endif
-	/*
 	 * Do the initial / lock state business
 	 */
 	if (cmd == TIOCSETA || cmd == TIOCSETAW || cmd == TIOCSETAF) {
@@ -1074,9 +1052,6 @@ siioctl(struct dev_ioctl_args *ap)
 	case TIOCSETAW:
 	case TIOCSETAF:
 	case TIOCDRAIN:
-#ifdef COMPAT_43
-	case TIOCSETP:
-#endif
 		blocked++;	/* block writes for ttywait() and siparam() */
 		si_write_enable(pp, 0);
 	}
diff --git a/sys/dev/serial/sio/sio.c b/sys/dev/serial/sio/sio.c
index ccf1022..e34ba28 100644
--- a/sys/dev/serial/sio/sio.c
+++ b/sys/dev/serial/sio/sio.c
@@ -34,7 +34,6 @@
  */
 
 #include "opt_comconsole.h"
-#include "opt_compat.h"
 #include "opt_ddb.h"
 #include "opt_sio.h"
 #include "use_pci.h"
@@ -2011,10 +2010,7 @@ sioioctl(struct dev_ioctl_args *ap)
 	int		error;
 	int		mynor;
 	struct tty	*tp;
-#if defined(COMPAT_43)
-	u_long		oldcmd;
-	struct termios	term;
-#endif
+
 	lwkt_gettoken(&tty_token);
 	mynor = minor(dev);
 
@@ -2065,17 +2061,6 @@ sioioctl(struct dev_ioctl_args *ap)
 		}
 	}
 	tp = com->tp;
-#if defined(COMPAT_43)
-	term = tp->t_termios;
-	oldcmd = ap->a_cmd;
-	error = ttsetcompat(tp, &ap->a_cmd, data, &term);
-	if (error != 0) {
-		lwkt_reltoken(&tty_token);
-		return (error);
-	}
-	if (ap->a_cmd != oldcmd)
-		data = (caddr_t)&term;
-#endif
 	if (ap->a_cmd == TIOCSETA || ap->a_cmd == TIOCSETAW ||
 	    ap->a_cmd == TIOCSETAF) {
 		int	cc;
diff --git a/sys/kern/init_sysent.c b/sys/kern/init_sysent.c
index 4519a12..0da44a4 100644
--- a/sys/kern/init_sysent.c
+++ b/sys/kern/init_sysent.c
@@ -5,26 +5,16 @@
  *               by running make sysent in the same directory.
  */
 
-#include "opt_compat.h"
-
 #include <sys/param.h>
 #include <sys/sysent.h>
 #include <sys/sysproto.h>
 #include <sys/statvfs.h>
-#include <emulation/43bsd/stat.h>
 
 #define AS(name) ((sizeof(struct name) - sizeof(struct sysmsg)) / sizeof(register_t))
-
-#ifdef COMPAT_43
-#define compat(n, name) n, (sy_call_t *)__CONCAT(sys_,__CONCAT(o,name))
-#else
 #define compat(n, name) 0, (sy_call_t *)sys_nosys
-#endif
 
 /* The casts are bogus but will do for now. */
 struct sysent sysent[] = {
-#ifdef COMPAT_43
-#endif
 	{ 0, (sy_call_t *)sys_nosys },			/* 0 = syscall */
 	{ AS(exit_args), (sy_call_t *)sys_exit },	/* 1 = exit */
 	{ 0, (sy_call_t *)sys_fork },			/* 2 = fork */
diff --git a/sys/kern/kern_descrip.c b/sys/kern/kern_descrip.c
index 85964a9..d3bea26 100644
--- a/sys/kern/kern_descrip.c
+++ b/sys/kern/kern_descrip.c
@@ -68,7 +68,6 @@
  * $FreeBSD: src/sys/kern/kern_descrip.c,v 1.81.2.19 2004/02/28 00:43:31 tegge Exp $
  */
 
-#include "opt_compat.h"
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/malloc.h>
diff --git a/sys/kern/kern_exit.c b/sys/kern/kern_exit.c
index 9dee510..8cd0107 100644
--- a/sys/kern/kern_exit.c
+++ b/sys/kern/kern_exit.c
@@ -35,7 +35,6 @@
  * $FreeBSD: src/sys/kern/kern_exit.c,v 1.92.2.11 2003/01/13 22:51:16 dillon Exp $
  */
 
-#include "opt_compat.h"
 #include "opt_ktrace.h"
 
 #include <sys/param.h>
diff --git a/sys/kern/kern_prot.c b/sys/kern/kern_prot.c
index ba5b3ce..a835084 100644
--- a/sys/kern/kern_prot.c
+++ b/sys/kern/kern_prot.c
@@ -39,8 +39,6 @@
  * System calls related to processes and protection
  */
 
-#include "opt_compat.h"
-
 #include <sys/param.h>
 #include <sys/acct.h>
 #include <sys/systm.h>
@@ -67,11 +65,6 @@ sys_getpid(struct getpid_args *uap)
 	struct proc *p = curproc;
 
 	uap->sysmsg_fds[0] = p->p_pid;
-#if defined(COMPAT_43)
-	lwkt_gettoken_shared(&p->p_token);
-	uap->sysmsg_fds[1] = p->p_pptr->p_pid;
-	lwkt_reltoken(&p->p_token);
-#endif
 	return (0);
 }
 
@@ -177,9 +170,6 @@ sys_getuid(struct getuid_args *uap)
 	struct ucred *cred = curthread->td_ucred;
 
 	uap->sysmsg_fds[0] = cred->cr_ruid;
-#if defined(COMPAT_43)
-	uap->sysmsg_fds[1] = cred->cr_uid;
-#endif
 	return (0);
 }
 
@@ -204,9 +194,6 @@ sys_getgid(struct getgid_args *uap)
 	struct ucred *cred = curthread->td_ucred;
 
 	uap->sysmsg_fds[0] = cred->cr_rgid;
-#if defined(COMPAT_43)
-	uap->sysmsg_fds[1] = cred->cr_groups[0];
-#endif
 	return (0);
 }
 
diff --git a/sys/kern/kern_resource.c b/sys/kern/kern_resource.c
index bd6bc90..1012cfb 100644
--- a/sys/kern/kern_resource.c
+++ b/sys/kern/kern_resource.c
@@ -35,8 +35,6 @@
  * $FreeBSD: src/sys/kern/kern_resource.c,v 1.55.2.5 2001/11/03 01:41:08 ps Exp $
  */
 
-#include "opt_compat.h"
-
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/sysproto.h>
diff --git a/sys/kern/syscalls.c b/sys/kern/syscalls.c
index 6837ea7..ca458fa 100644
--- a/sys/kern/syscalls.c
+++ b/sys/kern/syscalls.c
@@ -6,8 +6,6 @@
  */
 
 const char *syscallnames[] = {
-#ifdef COMPAT_43
-#endif
 	"syscall",			/* 0 = syscall */
 	"exit",			/* 1 = exit */
 	"fork",			/* 2 = fork */
diff --git a/sys/kern/syscalls.master b/sys/kern/syscalls.master
index b445225..4647cc4 100644
--- a/sys/kern/syscalls.master
+++ b/sys/kern/syscalls.master
@@ -33,10 +33,6 @@
 #include <sys/sysproto.h>
 #include <sys/statvfs.h>
 
-#ifdef COMPAT_43
-#include <emulation/43bsd/stat.h>
-#endif
-
 ; Reserved/unimplemented system calls in the range 0-150 inclusive
 ; are reserved for use in future Berkeley releases.
 ; Additional system calls implemented in vendor and other
diff --git a/sys/kern/sysv_shm.c b/sys/kern/sysv_shm.c
index f5f2d8a..bff0495 100644
--- a/sys/kern/sysv_shm.c
+++ b/sys/kern/sysv_shm.c
@@ -28,7 +28,6 @@
  * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-#include "opt_compat.h"
 #include "opt_sysvipc.h"
 
 #include <sys/param.h>
diff --git a/sys/kern/tty.c b/sys/kern/tty.c
index b4d0966..8c2ec29 100644
--- a/sys/kern/tty.c
+++ b/sys/kern/tty.c
@@ -71,15 +71,11 @@
  *	  only when _all_ openers leave open().
  */
 
-#include "opt_compat.h"
 #include "opt_uconsole.h"
 
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/filio.h>
-#if defined(COMPAT_43)
-#include <sys/ioctl_compat.h>
-#endif
 #include <sys/proc.h>
 #include <sys/priv.h>
 #define	TTYDEFCHARS
@@ -880,16 +876,6 @@ ttioctl(struct tty *tp, u_long cmd, void *data, int flag)
 	case  TIOCSTI:
 	case  TIOCSTOP:
 	case  TIOCSWINSZ:
-#if defined(COMPAT_43)
-	case  TIOCLBIC:
-	case  TIOCLBIS:
-	case  TIOCLSET:
-	case  TIOCSETC:
-	case OTIOCSETD:
-	case  TIOCSETN:
-	case  TIOCSETP:
-	case  TIOCSLTC:
-#endif
 		while (isbackground(p, tp) && !(p->p_flags & P_PPWAIT) &&
 		    !SIGISMEMBER(p->p_sigignore, SIGTTOU) &&
 		    !SIGISMEMBER(lp->lwp_sigmask, SIGTTOU)) {
@@ -1282,11 +1268,7 @@ ttioctl(struct tty *tp, u_long cmd, void *data, int flag)
 	default:
 		lwkt_reltoken(&p->p_token);
 		lwkt_reltoken(&tty_token);
-#if defined(COMPAT_43)
-		return (ttcompat(tp, cmd, data, flag));
-#else
 		return (ENOIOCTL);
-#endif
 	}
 	lwkt_reltoken(&p->p_token);
 	lwkt_reltoken(&tty_token);
diff --git a/sys/kern/tty_conf.c b/sys/kern/tty_conf.c
index 26d29ed..11c86e5 100644
--- a/sys/kern/tty_conf.c
+++ b/sys/kern/tty_conf.c
@@ -37,8 +37,6 @@
  * $FreeBSD: src/sys/kern/tty_conf.c,v 1.16.2.1 2002/03/11 01:14:55 dd Exp $
  */
 
-#include "opt_compat.h"
-
 #include <sys/param.h>
 #include <sys/systm.h>
 #include <sys/tty.h>
@@ -69,13 +67,7 @@ struct	linesw linesw[MAXLDISC] =
 	{ ttyopen,	ttylclose,	ttread,		ttwrite,
 	  l_nullioctl,	ttyinput,	ttstart,	ttymodem },
 	NODISC(1),		/* 1- defunct */
-	  			/* 2- NTTYDISC */
-#ifdef COMPAT_43
-	{ ttyopen,	ttylclose,	ttread,		ttwrite,
-	  l_nullioctl,	ttyinput,	ttstart,	ttymodem },
-#else
-	NODISC(2),
-#endif
+	NODISC(2),	  	/* 2- NTTYDISC */
 	NODISC(3),		/* loadable */
 	NODISC(4),		/* SLIPDISC */
 	NODISC(5),		/* PPPDISC */
diff --git a/sys/kern/tty_pty.c b/sys/kern/tty_pty.c
index b372b31..6ac4341 100644
--- a/sys/kern/tty_pty.c
+++ b/sys/kern/tty_pty.c
@@ -45,13 +45,8 @@
  * (Actually two drivers, requiring two dev_ops structures)
  */
 
-#include "opt_compat.h"
-
 #include <sys/param.h>
 #include <sys/systm.h>
-#if defined(COMPAT_43)
-#include <sys/ioctl_compat.h>
-#endif
 #include <sys/proc.h>
 #include <sys/priv.h>
 #include <sys/tty.h>
@@ -1142,10 +1137,6 @@ ptyioctl(struct dev_ioctl_args *ap)
 		}
 
 		switch (ap->a_cmd) {
-#ifdef COMPAT_43
-		case TIOCSETP:
-		case TIOCSETN:
-#endif
 		case TIOCSETD:
 		case TIOCSETA:
 		case TIOCSETAW:
@@ -1221,15 +1212,6 @@ ptyioctl(struct dev_ioctl_args *ap)
 		case TIOCSETA:
 		case TIOCSETAW:
 		case TIOCSETAF:
-#ifdef COMPAT_43
-		case TIOCSETP:
-		case TIOCSETN:
-		case TIOCSETC:
-		case TIOCSLTC:
-		case TIOCLBIS:
-		case TIOCLBIC:
-		case TIOCLSET:
-#endif
 			pti->pt_send |= TIOCPKT_IOCTL;
 			ptcwakeup(tp, FREAD);
 		default:
diff --git a/sys/kern/uipc_syscalls.c b/sys/kern/uipc_syscalls.c
index dae04de..3f67314 100644
--- a/sys/kern/uipc_syscalls.c
+++ b/sys/kern/uipc_syscalls.c
@@ -1456,6 +1456,7 @@ getsockaddr(struct sockaddr **namp, caddr_t uaddr, size_t len)
 	} else {
 #if BYTE_ORDER != BIG_ENDIAN
 		/*
+		 * XXX
 		 * The bind(), connect(), and sendto() syscalls were not
 		 * versioned for COMPAT_43.  Thus, this check must stay.
 		 */
diff --git a/sys/net/if.c b/sys/net/if.c
index b8456b9..8b793fe 100644
--- a/sys/net/if.c
+++ b/sys/net/if.c
@@ -30,7 +30,6 @@
  * $FreeBSD: src/sys/net/if.c,v 1.185 2004/03/13 02:35:03 brooks Exp $
  */
 
-#include "opt_compat.h"
 #include "opt_inet6.h"
 #include "opt_inet.h"
 #include "opt_ifpoll.h"
@@ -87,10 +86,6 @@
 #endif
 #endif
 
-#if defined(COMPAT_43)
-#include <emulation/43bsd/43bsd_socket.h>
-#endif /* COMPAT_43 */
-
 struct netmsg_ifaddr {
 	struct netmsg_base base;
 	struct ifaddr	*ifa;
@@ -1785,9 +1780,6 @@ ifioctl(struct socket *so, u_long cmd, caddr_t data, struct ucred *cred)
 	int error;
 	short oif_flags;
 	int new_flags;
-#ifdef COMPAT_43
-	int ocmd;
-#endif
 	size_t namelen, onamelen;
 	char new_name[IFNAMSIZ];
 	struct ifaddr *ifa;
@@ -2134,55 +2126,8 @@ ifioctl(struct socket *so, u_long cmd, caddr_t data, struct ucred *cred)
 			error = EOPNOTSUPP;
 			break;
 		}
-#ifndef COMPAT_43
-		error = so_pru_control_direct(so, cmd, data, ifp);
-#else
-		ocmd = cmd;
-
-		switch (cmd) {
-		case SIOCSIFDSTADDR:
-		case SIOCSIFADDR:
-		case SIOCSIFBRDADDR:
-		case SIOCSIFNETMASK:
-#if BYTE_ORDER != BIG_ENDIAN
-			if (ifr->ifr_addr.sa_family == 0 &&
-			    ifr->ifr_addr.sa_len < 16) {
-				ifr->ifr_addr.sa_family = ifr->ifr_addr.sa_len;
-				ifr->ifr_addr.sa_len = 16;
-			}
-#else
-			if (ifr->ifr_addr.sa_len == 0)
-				ifr->ifr_addr.sa_len = 16;
-#endif
-			break;
-		case OSIOCGIFADDR:
-			cmd = SIOCGIFADDR;
-			break;
-		case OSIOCGIFDSTADDR:
-			cmd = SIOCGIFDSTADDR;
-			break;
-		case OSIOCGIFBRDADDR:
-			cmd = SIOCGIFBRDADDR;
-			break;
-		case OSIOCGIFNETMASK:
-			cmd = SIOCGIFNETMASK;
-			break;
-		default:
-			break;
-		}
-
 		error = so_pru_control_direct(so, cmd, data, ifp);
 
-		switch (ocmd) {
-		case OSIOCGIFADDR:
-		case OSIOCGIFDSTADDR:
-		case OSIOCGIFBRDADDR:
-		case OSIOCGIFNETMASK:
-			*(u_short *)&ifr->ifr_addr = ifr->ifr_addr.sa_family;
-			break;
-		}
-#endif /* COMPAT_43 */
-
 		if ((oif_flags ^ ifp->if_flags) & IFF_UP) {
 #ifdef INET6
 			DELAY(100);/* XXX: temporary workaround for fxp issue*/
@@ -2324,16 +2269,6 @@ ifconf(u_long cmd, caddr_t data, struct ucred *cred)
 			 * the userland, which could block.
 			 */
 			IFAREF(ifa);
-#ifdef COMPAT_43
-			if (cmd == OSIOCGIFCONF) {
-				struct osockaddr *osa =
-					 (struct osockaddr *)&ifr.ifr_addr;
-				ifr.ifr_addr = *sa;
-				osa->sa_family = sa->sa_family;
-				error = copyout(&ifr, ifrp, sizeof ifr);
-				ifrp++;
-			} else
-#endif
 			if (sa->sa_len <= sizeof(*sa)) {
 				ifr.ifr_addr = *sa;
 				error = copyout(&ifr, ifrp, sizeof ifr);
diff --git a/sys/netinet/tcp_subr.c b/sys/netinet/tcp_subr.c
index 4eb5246..acbbfa0 100644
--- a/sys/netinet/tcp_subr.c
+++ b/sys/netinet/tcp_subr.c
@@ -63,7 +63,6 @@
  * $FreeBSD: src/sys/netinet/tcp_subr.c,v 1.73.2.31 2003/01/24 05:11:34 sam Exp $
  */
 
-#include "opt_compat.h"
 #include "opt_inet.h"
 #include "opt_inet6.h"
 #include "opt_ipsec.h"
diff --git a/sys/netinet/tcp_timer.c b/sys/netinet/tcp_timer.c
index 92d88b7..d5e2db5 100644
--- a/sys/netinet/tcp_timer.c
+++ b/sys/netinet/tcp_timer.c
@@ -61,10 +61,8 @@
  *
  *	@(#)tcp_timer.c	8.2 (Berkeley) 5/24/95
  * $FreeBSD: src/sys/netinet/tcp_timer.c,v 1.34.2.14 2003/02/03 02:33:41 hsu Exp $
- * $DragonFly: src/sys/netinet/tcp_timer.c,v 1.17 2008/03/30 20:39:01 dillon Exp $
  */
 
-#include "opt_compat.h"
 #include "opt_inet6.h"
 #include "opt_tcpdebug.h"
 
diff --git a/sys/platform/pc64/x86_64/machdep.c b/sys/platform/pc64/x86_64/machdep.c
index 69b407b..a7232d2 100644
--- a/sys/platform/pc64/x86_64/machdep.c
+++ b/sys/platform/pc64/x86_64/machdep.c
@@ -42,7 +42,6 @@
 
 //#include "use_npx.h"
 #include "use_isa.h"
-#include "opt_compat.h"
 #include "opt_cpu.h"
 #include "opt_ddb.h"
 #include "opt_directio.h"
diff --git a/sys/platform/vkernel64/x86_64/cpu_regs.c b/sys/platform/vkernel64/x86_64/cpu_regs.c
index f91c272..550e78c 100644
--- a/sys/platform/vkernel64/x86_64/cpu_regs.c
+++ b/sys/platform/vkernel64/x86_64/cpu_regs.c
@@ -39,7 +39,6 @@
  * $FreeBSD: src/sys/i386/i386/machdep.c,v 1.385.2.30 2003/05/31 08:48:05 alc Exp $
  */
 
-#include "opt_compat.h"
 #include "opt_ddb.h"
 #include "opt_directio.h"
 #include "opt_inet.h"
diff --git a/sys/sys/ioctl.h b/sys/sys/ioctl.h
index 5f44bd8..964607d 100644
--- a/sys/sys/ioctl.h
+++ b/sys/sys/ioctl.h
@@ -70,8 +70,7 @@ struct ttysize {
  * Compatibility with old terminal driver
  *
  * Source level -> #define USE_OLD_TTY
- * Kernel level -> options COMPAT_43
  */
-#if defined(USE_OLD_TTY) || defined(COMPAT_43)
+#if defined(USE_OLD_TTY)
 #include <sys/ioctl_compat.h>
 #endif
diff --git a/sys/sys/sysproto.h b/sys/sys/sysproto.h
index bda2af3..d71e0b4 100644
--- a/sys/sys/sysproto.h
+++ b/sys/sys/sysproto.h
@@ -23,8 +23,6 @@
 #define	PAD_(t)	(sizeof(register_t) <= sizeof(t) ? \
 		0 : sizeof(register_t) - sizeof(t))
 
-#ifdef COMPAT_43
-#endif
 struct	nosys_args {
 #ifdef _KERNEL
 	struct sysmsg sysmsg;
@@ -2333,11 +2331,6 @@ struct	ppoll_args {
 	const struct timespec *	ts;	char ts_[PAD_(const struct timespec *)];
 	const sigset_t *	sigmask;	char sigmask_[PAD_(const sigset_t *)];
 };
-
-#ifdef COMPAT_43
-
-#ifdef COMPAT_43
-#endif
 struct	ocreat_args {
 #ifdef _KERNEL
 	struct sysmsg sysmsg;
@@ -2572,13 +2565,8 @@ int	sys_ogetdirentries (struct ogetdirentries_args *);
 
 #endif /* _KERNEL */
 
-#endif /* COMPAT_43 */
-
-
 #ifdef _KERNEL
 
-#ifdef COMPAT_43
-#endif
 int	sys_nosys (struct nosys_args *);
 int	sys_exit (struct exit_args *);
 int	sys_fork (struct fork_args *);
